package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 换酒记录
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("change")
public class Change implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 酒的id
     */
    private Integer wid;

    /**
     * 设备id
     */
    private String device;

    /**
     * 管理员id
     */
    private String manager;

    /**
     * 换酒工id
     */
    private String worker;

    /**
     * 开门授权码
     */
    private String code;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 订单发布时间
     */
    private LocalDateTime publish;

    /**
     * 订单完成时间
     */
    private LocalDateTime finish;

    /**
     * 第一桶旧酒id
     */
    private Integer wine1o;

    /**
     * 第一桶旧酒余量
     */
    private Integer remain1o;

    private Integer wine2o;

    private Integer remain2o;

    private Integer wine3o;

    private Integer remain3o;

    private Integer wine4o;

    private Integer remain4o;

    /**
     * 第一桶新酒id
     */
    private Integer wine1n;

    /**
     * 第一桶新酒余量
     */
    private Integer remain1n;

    private Integer wine2n;

    private Integer remain2n;

    private Integer wine3n;

    private Integer remain3n;

    private Integer wine4n;

    private Integer remain4n;


}
