package com.huimv.wine.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 交易表
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("trade")
public class Trade implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 自生成的订单id
     */
    private String trade;

    /**
     * 设备
     */
    private String device;

    /**
     * 时间
     */
    private LocalDateTime time;

    /**
     * 购买人
     */
    private String payer;

    /**
     * 酒id
     */
    private Integer wine;

    /**
     * 单价
     */
    private Integer price;

    /**
     * 重量
     */
    private Integer weight;

    /**
     * 金额
     */
    private Integer cash;

    /**
     * 所属管理
     */
    private String manager;


}
